Armature en L Arch

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Rebar LShape and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский

Arch Rebar LShape.svg Armature en L Arch

Emplacement du menu
Arch → Rebar tools
Ateliers
Atelier architecture, BIM
Raccourci par défaut
Aucun
Introduit dans la version
0.17
Voir aussi
Armature cintrée, Armature personnalisée


Description

L'outil LShape Rebar permet à l'utilisateur de créer un ensemble de barres d'armature en forme de L à l'intérieur d'un objet Arch Structure.

Cette commande fait partie du Addon Barres de renfort (armatures) que vous pouvez installer avec l'Addon manager via le menu Tools → Addon Manager → Reinforcement.

Arch Rebar LShape example.png

Quatre jeux de barres de renforcement en forme de L à l’intérieur d’une Arch Structure


Comment faire

  1. Sélectionnez n’importe quelle face d’un objet créé précédemment Arch Structure.svg Arch Structure.
  2. Ensuite, sélectionnez Arch Rebar LShape.svg LShape Rebar à partir des outils pour barres d'armature.
  3. Un panneau de tâches apparaîtra sur le côté gauche de l'écran comme indiqué ci-dessous.
  4. Sélectionnez l'orientation souhaitée.
  5. Donner les entrées comme la face avant, la face latérale gauche, la face latérale droit, la face inférieure, la face supérieure, l'arrondi et le diamètre des barres d'armature
  6. Sélectionnez le mode de distribution, soit la quantité ou l'espacement
  7. Si l'espacement est sélectionné, un utilisateur peut également choisir custom spacing.
  8. Le choix de la face sélectionnée est utilisé pour vérifier ou changer la face pour la distribution des barres d'armature
  9. Cliquez sur OK ou Apply pour générer l'armature
  10. Cliquez sur Cancel pour quitter le panneau des tâches

LShapeDialog.png

Panneau d'affichage des tâches de l'outil Armature en L Arch


Propriétés

  • DONNÉESOrientation: Il définit l'orientation de l'armature (comme fond, haut, droite et gauche).
  • DONNÉESFront Cover: La distance entre l'armature et la face sélectionnée.
  • DONNÉESRight Cover: La distance entre l'extrémité droite de l'armature et la face droite de la structure.
  • DONNÉESLeft Cover: La distance entre l'extrémité gauche de l'armature et la face gauche de la structure.
  • DONNÉESBottom Cover: La distance entre l'armature et la face inférieure de la structure.
  • DONNÉESTop Cover: La distance entre l'armature et la face supérieure de la structure.
  • DONNÉESRounding: Valeur d'arrondi à appliquer aux coins des barres, exprimée en fois le diamètre.
  • DONNÉESAmount: La quantité de barres d'armature.
  • DONNÉESSpacing: La distance entre les axes de chaque barre.

Script

Voir aussi: Arch API, API de renforts et FreeCAD Scripts de Base.

L'outil Armature en L peut être utilisé dans les macro et à partir de la console Python à l'aide de la fonction suivante:

Rebar = makeLShapeRebar(f_cover, b_cover, l_cover, r_cover,
                        diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom Left",
                        structure=None, facename=None):
  • Crée un objet Rebar à partir de la structure donnée, qui est une Arch Structure et facename qui est une face de cette structure.
    • Si aucune structure ni facename n'est donné, la face sélectionnée par l'utilisateur sera entrée.
  • f_cover, b_cover, l_cover, r_cover et t_cover sont des distances de décalage internes pour les éléments d'armature par rapport aux faces de la structure. Ce sont respectivement les décalages avant, inférieur, gauche, droit et supérieur.
  • diameter est le diamètre des barres de renforcement à l'intérieur de la structure.
  • rounding est le paramètre qui détermine le rayon de courbure des barres d'armature.
  • amount_spacing_check mis aà True, cela créera autant de barres d'armature que celles indiquées par amount_spacing_value; Si la valeur est False, des barres de ferraillage seront séparées par la valeur numérique de amount_spacing_value.
  • amount_spacing_value spécifie le nombre de barres d'armature ou la valeur de la séparation les séparant en fonction de amount_spacing_check.
  • orientation spécifie l'orientation de la barre; il peut s'agir de

"Bottom Right" (En bas à droite), "Bottom Left" (En bas à gauche), "Top Right" (En haut à droite), or "Top Left" (en haut à gauche).

Exemple

import FreeCAD, Arch, LShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=400)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = LShapeRebar.makeLShapeRebar(50, 20, 20, 20,
                                    8, 50, 4, True, 6, "Bottom Left", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = LShapeRebar.makeLShapeRebar(50, 50, 20, 20,
                                     8, 50, 4, True, 6, "Bottom Left", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Édition de la barre d’armement

Vous pouvez changer les propriétés de la barre d’armement avec la fonction suivante.

editLShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
                diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation,
                structure=None, facename=None)
  • Rebar est un objet LShapeRebar créé précédemment.
  • Les autres paramètres sont les mêmes que ceux requis par la fonction makeLShapeRebar().
  • structure et facename peuvent être omis afin que l'armature reste dans la structure d'origine.
import LShapeRebar

LShapeRebar.editLShapeRebar(Rebar, 50, 50, 20, 20,
                            12, 50, 6, True, 5, "Top Right")

LShapeRebar.editLShapeRebar(Rebar2, 50, 50, 20, 20,
                            12, 70, 6, True, 5, "Top Right")